org.opengis.cite.ogcapitiles10.conformance

## Enum RequirementClass

- java.lang.Object
- - java.lang.Enum<RequirementClass>
  - - org.opengis.cite.ogcapitiles10.conformance.RequirementClass

- All Implemented Interfaces:
    Serializable, Comparable<RequirementClass>

      public enum RequirementClass
      extends Enum<RequirementClass>

  Updated at the OGC API - Tiles Sprint 2020 by ghobona Encapsulates all known requirement classes.
  Author:
    Lyn Goltz

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CORE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequirementClass` | `byConformanceClass(String conformanceClass)`
    `String` | `getMediaTypeFeaturesAndCollections()`
    `String` | `getMediaTypeOtherResources()`
    `boolean` | `hasMediaTypeForFeaturesAndCollections()`
    `boolean` | `hasMediaTypeForOtherResources()`
    `static RequirementClass` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RequirementClass[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CORE

          public static final RequirementClass CORE

  - ### Method Detail

    - #### values

          public static RequirementClass[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RequirementClass c : RequirementClass.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RequirementClass valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### hasMediaTypeForFeaturesAndCollections

          public boolean hasMediaTypeForFeaturesAndCollections()

      Returns:
        `true` if the RequirementClass has a media type for features and collections, `true` otherwise

    - #### getMediaTypeFeaturesAndCollections

          public String getMediaTypeFeaturesAndCollections()

      Returns:
        media type for features and collections, `null` if not available

    - #### hasMediaTypeForOtherResources

          public boolean hasMediaTypeForOtherResources()

      Returns:
        `true` if the RequirementClass has a media type for other resources, `true` otherwise

    - #### getMediaTypeOtherResources

          public String getMediaTypeOtherResources()

      Returns:
        media type of other resources, `null` if not available

    - #### byConformanceClass

          public static RequirementClass byConformanceClass(String conformanceClass)

      Parameters:
        `conformanceClass` - the conformance class of the RequirementClass to return.
      Returns:
        the RequirementClass with the passed conformance class, `null` if RequirementClass exists

Copyright © 2024 Open Geospatial Consortium. All rights reserved.